{"openapi":"3.0.4","info":{"title":"List Allocations","description":"Fetch the last pre-AsAt date version of each allocation in scope (does not fetch the entire history).","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/allocations":{"get":{"tags":["Allocations"],"summary":"List Allocations","description":"Fetch the last pre-AsAt date version of each allocation in scope (does not fetch the entire history).","operationId":"ListAllocations","parameters":[{"name":"asAt","in":"query","description":"The asAt datetime at which to retrieve the allocation. Defaults to return the latest version of the allocation if not specified.","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"page","in":"query","description":"The pagination token to use to continue listing allocations from a previous call to list allocations.\r\n            This value is returned from the previous call. If a pagination token is provided the sortBy, filter, effectiveAt, and asAt fields\r\n            must not have changed since the original request.","schema":{"maxLength":500,"minLength":1,"pattern":"^[a-zA-Z0-9\\+/]*={0,3}$","type":"string"}},{"name":"sortBy","in":"query","description":"A list of field names or properties to sort by, each suffixed by \" ASC\" or \" DESC\".","schema":{"type":"array","items":{"type":"string"}},"x-nullable":true},{"name":"limit","in":"query","description":"When paginating, limit the number of returned results to this many.","schema":{"maximum":5000,"minimum":1,"type":"integer","format":"int32"},"x-nullable":true},{"name":"filter","in":"query","description":"Expression to filter the result set. Read more about filtering results from LUSID here:\r\n            https://support.lusid.com/filtering-results-from-lusid.","schema":{"maxLength":16384,"minLength":0,"pattern":"^[\\s\\S]*$","type":"string"}},{"name":"propertyKeys","in":"query","description":"A list of property keys from the \"Allocations\" domain to decorate onto each allocation.\r\n                These take the format {domain}/{scope}/{code} e.g. \"Allocations/system/Name\".\r\n                All properties, except derived properties, are returned by default, without specifying here.","schema":{"type":"array","items":{"type":"string","description":"The key that uniquely identifies the property. It has the format {domain}/{scope}/{code}."}},"x-nullable":true}],"responses":{"200":{"description":"Allocations.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfAllocation"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfAllocation"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfAllocation"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}